# This code is copyrighted by Stephan Richter in August, 2000.
#
# written by Stephan Richter
# Last updated: March 18, 2001


from Products.DBObjects import DBObjectFolder, DBObject, DBTable, DBAttribute 


class ClassStudent(DBObject):
    '''ClassStudent class -  contains/manages data associated with a ClassStudent'''

    meta_type = 'ClassStudent'
    icon = 'misc_/ZQuest/classStudent'

    useUndo   = 0

    dbTable = ( DBTable('ClassStudent', [],
                        {'personid' : DBAttribute('personid', 'int', 'int')})
                + DBObject.dbTable )


    titleDBRepresentation = None



class ClassStudentFolder(DBObjectFolder):
    '''ClassStudentFolder class - contains all ClassStudents for one class.'''

    meta_type = 'ClassStudentFolder'  
    icon = 'misc_/ZQuest/classStudentFolder'

    useUndo   = 0
    
    allowedSubObjects = ('ClassStudent',)

