# This code is copyrighted by Stephan Richter in August, 2000.
#
# written by Stephan Richter
# Last updated: March 18, 2001

from Problem import Problem
from Products.DBObjects import DBTable, DBAttribute 


class EssayProblem(Problem):
    '''EssayProblem class -  contains/manages data associated with a Problem'''

    meta_type = 'EssayProblem'

    dbTable = DBTable('EssayProblem', ['Problem'],
                      {'wordlimit' : DBAttribute('wordlimit', 'int', 'int')})

    allowedSubObjects = ('DisplayObjectFolder', 'GivenVariableFolder')
