# This code is copyrighted by Stephan Richter in August, 2000.
#
# written by Stephan Richter
# Last updated: March 18, 2001

from Products.DBObjects     import DBTable, DBAttribute 
from DisplayObject          import DisplayObject
from OFS.Image              import Image


class ZQuestImage(DisplayObject, Image):
    '''ZQuestImage class -  contains/manages data associated with a ZQuestImage'''

    meta_type = 'ZQuestImage'
    icon = 'misc_/ZQuest/variable'

    manage_options = DisplayObject.manage_options + ({'label':'Upload Image',  'action':'manage_uploadForm'},
                                                     {'label':'View',  'action':''},)

    dbTable = DBTable('ZQuestImage', ['DisplayObject'], {})

    manage_uploadForm = Image.manage_editForm


    def getHTMLRepresentation(self, REQUEST):
        '''getHTMLRepresentation(REQUEST) --> returns the HTML code representating the object; return string'''

        return self.tag()
